Thanks for considering contributing your time to the arduino-redis project!

Please review our [Code of Conduct](./CODE_OF_CONDUCT.md) to keep our community approachable and respectable.

### Submitting a Pull Request

0. If there isn't already an [Issue](https://github.com/electric-sheep-co/arduino-redis/issues) related to your code changes, please create one.

1. First, fork the repository on GitHub by visiting https://github.com/electric-sheep-co/arduino-redis and clicking the "Fork" button in the top-right corner of the page. This will create a copy of the repository under your own GitHub account.

2. Clone your fork of the repository to your local machine by running the following command in a terminal: `git clone https://github.com/<your-username>/arduino-redis.git`

3. Make the changes you want to submit as a pull request in your local copy of the repository. Be sure to follow the project's coding style and standards.

4. After making your changes, push them to your fork on GitHub by running the following commands in your local repository:

```
$ git add .
$ git commit -m "Describe the changes you made"
$ git push origin <branch-name>
```

5. On GitHub, navigate to the main page of your fork of the repository. You should see a banner that says "Your recently pushed branches: <branch-name>". Click on the branch name to go to the branch page.

6. On the branch page, click the "New Pull Request" button. This will open the pull request form.

7. In the pull request form, provide a descriptive title and a detailed explanation of the changes you made. Be sure to reference the Issue associated with your pull request and to include any other relevant issue numbers.

8. When you're ready to submit your pull request, click the "Create Pull Request" button.

**Code review is required before we can merge your pull request.** 
  
A member of the project team will review your code and provide feedback. You may need to make additional changes based on the feedback you receive before your pull request can be merged.

Thanks again for contributing to the arduino-redis project! We appreciate your help.
